[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Installed lintian 1.20.4 (all source)

Hash: SHA1

Format: 1.7
Date: Tue, 30 Jan 2001 14:26:04 -0800
Source: lintian
Binary: lintian
Architecture: source all
Version: 1.20.4
Distribution: unstable
Urgency: low
Maintainer: Sean 'Shaleh' Perry <shaleh@debian.org>
Changed-By: Sean 'Shaleh' Perry <shaleh@debian.org>
 lintian    - Debian package checker
Closes: 33250 35224 46863 47076 48048 48296 70673 75878 75889 81970 82970 83188 83969 84066 84083 84088 84400 84722
 lintian (1.20.4) unstable; urgency=low
   * 'why would you ever do THAT?' release
   * lintian-info sets $ENV{'LINTIAN_ROOT'} if it is not set
   * added a check to checks/files for packages which ship the upstream INSTALL
     document.  This is almost always useless for users of a package.
     testset/binary now includes such a file
     Closes: #81970
   * checks/menus -- the walk over package contents now has logic to run file
     tests on files, link tests on links, etc.
   * checks/menus -- if there is a /usr/share/doc/$pkg symlink, assume it links
     to a package it depends on and do not warn about setting the usr/doc
     symlink.  There is code in checks/copyright-file that makes sure policy is
     followed with regards to what is actually linked against.  Closes: #48048
   * checks/fields is now less strict about Section: non-US handling
   * added debconf files to list of known control files in checks/control-files
     Closes: #46863
   * perl mistakes are no longer checked for. Closes: #47076, #75889
   * FHS 2.1 cleanups, Closes: #75878
   * lintian will not complain if you symlink your doc directory to an essential
     package and leave off the depends, because since it is essential you must
     not depend on it.  Closes: #48296
   * lintian now gives and error when a package declares a depends on an
     essential package without using a versioned depends.  Closes: #33250
   * extra-license-file is not given if the file is just a symlink.
     Closes: #35224
   * checks/fields: now complain if a package declares a depends on a virtual
     package without first depending on a real packages as an alternative.
     Required adding a known_virtual_packages list to checks/common_data.pl.
     Also removed redundant info/registered-virtual-packages file.
     Closes: #70673
   * added a library (mostly empty right now) and non-us testset
   * runtests now runs the tests in alphabetical order
   * lintian's --version info is being updated automagically again
   * moved some hashes around in checks/ to common_data.pl
   * checks/changelog-file reorganized so it knows the size of the files.  Now
     it can check that the changelog is sufficiently large to require
     compressing.  Also modified the desc file to reflect this. Closes: #84400
   * --info now outputs all info.  Silly bug in how I used split and defined.
     Closes: #82970
   * added a testset/check_info.pl script.  It verifies that every lintian
     check referenced in a desc also has an info section.  runtests now runs
     this test as well.
   * suidregister warning is now an error.
   * checks/menus: fixed the if link case pattern match -- one more perl erro
     down, 3 billion hidden ones to go.
   * Following items thanks to Colin Watson
   * updated checks/standards-version so it does not give perl errors when it
     encounters a newer standards version than it knows about. Closes: #84083
   * updated references to policy for policy 3.5.0. Closes: #84088, #83969
   * Added a warning for packages containing a link to undocumented(7) as
     suggested on debian-policy list.  Also includes a testset (manpages)
     Closes: #83188
   * At the moment checks/copyright-file just tests for a slash in the link;
     I've changed it here to test for an initial / or ../, and then after that
     check it strips off everything from the first slash on, so that tests on
     the package name work correctly when people link to subdirectories of
     other /usr/share/doc directories.  Closes: #84066
   * It was unpacking to level 2 even though I had Unpack-Level: 1 and no
     associated collection scripts. Of course, it wanted override files from
     /usr/share/lintian/overrides/$pkg. Fair enough - except that if I said
     --no-override it wanted the override file information anyway, and still
     unpacked to level 2.  No obeys non-overrides.  Closes: #84722
 ff2fa939863454984bce0b663f215d73 550 devel optional lintian_1.20.4.dsc
 35b0cc9495cee45f43c360edaa0aed6c 177128 devel optional lintian_1.20.4.tar.gz
 13877e3d7a0adf2f8b7b77de960067b2 152718 devel optional lintian_1.20.4_all.deb

Version: GnuPG v1.0.4 (GNU/Linux)
Comment: For info see http://www.gnupg.org


  to pool/main/l/lintian/lintian_1.20.4.dsc
  to pool/main/l/lintian/lintian_1.20.4.tar.gz
  to pool/main/l/lintian/lintian_1.20.4_all.deb

Reply to: